Bug 1913201 - gnucash: FTBFS in Fedora rawhide [NEEDINFO]
Summary: gnucash: FTBFS in Fedora rawhide
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnucash
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL: https://koschei.fedoraproject.org/pac...
Whiteboard:
Depends On:
Blocks: F34FTBFS PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-01-06 09:08 UTC by Tomáš Hrnčiar
Modified: 2021-01-30 22:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-30 22:36:34 UTC
Type: Bug
releng: needinfo? (notting)


Attachments (Terms of Use)

Description Tomáš Hrnčiar 2021-01-06 09:08:10 UTC
Description of problem:
Package gnucash fails to build from source in Fedora rawhide.

Version-Release number of selected component (if applicable):
4.2-3.fc34

Steps to Reproduce:
koji build --scratch f34 gnucash-4.2-3.fc34.src.rpm

Additional info:
This package is tracked by Koschei. See:
https://koschei.fedoraproject.org/package/gnucash

Comment 1 Miro Hrončok 2021-01-06 11:53:24 UTC
[ 50%] Building CXX object libgnucash/backend/dbi/CMakeFiles/gncmod-backend-dbi.dir/gnc-backend-dbi.cpp.o
cd /builddir/build/BUILD/gnucash-4.2/x86_64-redhat-linux-gnu/libgnucash/backend/dbi && /usr/bin/g++ -DG_LOG_DOMAIN=\"gnc.backend.dbi\" -DHAVE_CONFIG_H -DHAVE_GUILE22 -D_GNU_SOURCE -Dgncmod_backend_dbi_EXPORTS -I/builddir/build/BUILD/gnucash-4.2/libgnucash/backend/sql -I/builddir/build/BUILD/gnucash-4.2/libgnucash/engine -I/builddir/build/BUILD/gnucash-4.2/x86_64-redhat-linux-gnu/common -I/builddir/build/BUILD/gnucash-4.2/common -I/usr/include/glib-2.0 -I/usr/lib64/glib-2.0/include -I/builddir/build/BUILD/gnucash-4.2/borrowed/libc -I/builddir/build/BUILD/gnucash-4.2/x86_64-redhat-linux-gnu/libgnucash/core-utils -I/builddir/build/BUILD/gnucash-4.2/libgnucash/core-utils -Wno-error=deprecated-declarations  -Werror -Wall -Wmissing-declarations -Wno-unused -Wno-error=parentheses -O2 -flto=auto -ffat-lto-objects -fexceptions -g -grecord-gcc-switches -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -Wp,-D_GLIBCXX_ASSERTIONS -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -fstack-protector-strong -specs=/usr/lib/rpm/redhat/redhat-annobin-cc1  -m64 -mtune=generic -fasynchronous-unwind-tables -fstack-clash-protection -fcf-protection -Wno-parentheses -fPIC -std=c++17 -o CMakeFiles/gncmod-backend-dbi.dir/gnc-backend-dbi.cpp.o -c /builddir/build/BUILD/gnucash-4.2/libgnucash/backend/dbi/gnc-backend-dbi.cpp
wrote `/builddir/build/BUILD/gnucash-4.2/x86_64-redhat-linux-gnu/lib64/guile/2.2/site-ccache/gnucash/gnc-module.go'
In file included from /usr/include/c++/11/cstdlib:41,
                 from /usr/include/c++/11/stdlib.h:36,
                 from /usr/include/glib-2.0/glib/gutils.h:433,
                 from /usr/include/glib-2.0/glib/gthread.h:34,
                 from /usr/include/glib-2.0/glib/gasyncqueue.h:32,
                 from /usr/include/glib-2.0/glib.h:32,
                 from /builddir/build/BUILD/gnucash-4.2/libgnucash/backend/dbi/gnc-backend-dbi.cpp:51:
/usr/include/c++/11/x86_64-redhat-linux/bits/c++config.h:2702:2: error: #warning "__STRICT_ANSI__ seems to have been undefined; this is not supported" [-Werror=cpp]
 2702 | #warning "__STRICT_ANSI__ seems to have been undefined; this is not supported"
      |  ^~~~~~~
gmake[2]: Leaving directory '/builddir/build/BUILD/gnucash-4.2/x86_64-redhat-linux-gnu'

Comment 2 Fedora Release Engineering 2021-01-24 04:22:27 UTC
Dear Maintainer,

your package has an open Fails To Build From Source bug for Fedora 34.
Action is required from you.

If you can fix your package to build, perform a build in koji, and either create
an update in bodhi, or close this bug without creating an update, if updating is
not appropriate [1]. If you are working on a fix, set the status to ASSIGNED to
acknowledge this. If you have already fixed this issue, please close this Bugzilla report.

Following the policy for such packages [2], your package will be orphaned if
this bug remains in NEW state more than 8 weeks (not sooner than 2021-03-03).

A week before the mass branching of Fedora 35 according to the schedule [3],
any packages not successfully rebuilt at least on Fedora 33 will be
retired regardless of the status of this bug.

[1] https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/
[2] https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/
[3] https://fedorapeople.org/groups/schedule/f-35/f-35-key-tasks.html


Note You need to log in before you can comment on or make changes to this bug.